Skip to main content
POST
JavaScript

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Path Parameters

id
string
required

The unique identifier of the Object to delete.

Body

application/json

The body is of type object.

Response

Object deleted successfully. Returns the deleted Object metadata.

An Object represents a stored data entity with metadata.

id
string
required

The unique identifier of the Object.

name
string
required

The name of the Object.

state
enum<string>
required

The current state of the Object.

Available options:
UPLOADING,
READ_ONLY,
DELETED,
ERROR
content_type
enum<string>
required

The content type of the Object.

Available options:
unspecified,
text,
binary,
gzip,
tar,
tgz
create_time_ms
integer<int64>
required

The creation time of the Object in milliseconds since epoch.

size_bytes
integer<int64> | null

The size of the Object content in bytes (null until uploaded).

delete_after_time_ms
integer<int64> | null

The time after which the Object will be deleted in milliseconds since epoch.

metadata
object | null

User defined metadata to attach to the Object for organization.

upload_url
string | null

Presigned URL for uploading content to S3 (only present on create).